-----------------------------------------------------------------------------------------
-- Start Activity
-----------------------------------------------------------------------------------------
function CoalitionHQ:StartActivity()
	self.braindead = {}
	self.AssgnedBrains = {}
	self.MOIDLimit = 200
	self.PlayerGold = 1000
	self.RogueTeam = -1
	self.PlayerTeam = Activity.TEAM_1
	self.CPUTeam = Activity.TEAM_2	
	
	for player = 0, self.PlayerCount - 1 do
		self.braindead[player] = false
		local brain = CreateAHuman("Brain Robot")
		if brain then
			brain.Pos = Vector(300 + player * 30, 550)
			brain:AddInventoryItem(CreateHDFirearm("Pistol", "Base.rte"))
			brain.AIMode = Actor.AIMODE_SENTRY
			MovableMan:AddActor(brain)
			
			self:SetPlayerBrain(brain, player)
			SceneMan:SetScroll(self:GetPlayerBrain(player).Pos, player)
			self:SetObservationTarget(self:GetPlayerBrain(player).Pos, player)
			self:SetTeamFunds(self.PlayerGold, self.PlayerTeam)
		end
	end
end

-----------------------------------------------------------------------------------------
-- Update Activity
-----------------------------------------------------------------------------------------
function CoalitionHQ:UpdateActivity()
   	self:ClearObjectivePoints()	-- Clear all objective markers, they get re-added each frame
	self:DoBrainSelection()	-- This mission is empty so we check for defeat conditions here
	self:YSortObjectivePoints()
end

-----------------------------------------------------------------------------------------
-- Brain selection and gameover conditions check
-----------------------------------------------------------------------------------------
function CoalitionHQ:DoBrainSelection()
	if not (self.ActivityState == Activity.OVER) then
		for player = 0, self.PlayerCount - 1 do
			local team = self:GetTeamOfPlayer(player)
			local brain = self:GetPlayerBrain(player)
			if not brain or not MovableMan:IsActor(brain) or not brain:HasObjectInGroup("Brains") then
				self:SetPlayerBrain(nil, player)
				local newBrain = MovableMan:GetUnassignedBrain(team)
				if newBrain and self.braindead[player] == false then
					self:SetPlayerBrain(newBrain, player)
					self:SwitchToActor(newBrain, player, team)
				else
					FrameMan:SetScreenText("Commander died!", player, 333, -1, false)
					self.braindead[player] = true
					if not MovableMan:GetClosestBrainActor(team) then
						self.WinnerTeam = self:OtherTeam(team)
						ActivityMan:EndActivity()
					end
				end
			else
				self:SetObservationTarget(brain.Pos, player)
			end
		end
	end
end